#ifndef NOISETEXTURE_H
#define NOISETEXTURE_H

#include <GL/glew.h>
#include <GLFW/glfw3.h>

#include "client/rendering/wrapper/Texture.h"
#include "common/utils/Types.h"

class NoiseTexture final {
public:
    NoiseTexture(uint width, uint height);

    void bind(uint index) const;

private:
    float getRandom() const;
    
    Texture texture;
};

#endif